Support » Plugin: Infusionsoft Gravity Forms Add-on » I would like to take over maintenance here

  • Hi There – we have used this plugin for quite some time. Since it was abandoned, we have updated it to work with Oauth, fixed many bugs, and improved the overall user interface. We have also made it work with Infusionsoft cookies so that gravity forms can be used to initiate page tracking actions in Infusionsoft / Keap.

    I would like to request that you give me ownership of the plugin so we can release our latest updates (all non-breaking updates) and get this excellent plugin back into action.

Viewing 6 replies - 1 through 6 (of 6 total)
  • would love an updated version!!!!

    @justinhandley I’d love to try out your updated version of this plugin. Did you ever have any luck contacting the author?

    Thread Starter Justin Handley

    (@justinhandley)

    Hey @michaelbourne, @ste5en and @russ2204 – we are actively working on taking over the plugin – we’ve had the code reviewed and it failed a security audit, so we need to fix some things up (these are existing issues in the plugin, not related to our new work, but it is a pretty complex plugin and we haven’t reviewed it line by line – I guess we will now!)

    As soon as it is secure we’ll submit again – unfortunately the whole process takes some time so it might still be a couple of weeks.

    Following closely – I have a client who has just started using Keap and wants to integrate ASAP – will the new version support both versions of Infusionsoft?

    EDIT: AND actually I could use some help, this plugin is now giving this error (although it doesn’t seem to be preventing GF form submission):

    Warning: count(): Parameter must be an array or an object that implements Countable in [mysite]/wp-content/plugins/infusionsoft/Infusionsoft/xmlrpc.inc on line 2623

    My best guess is that it’s a PHP compatibility error, our site host forced us to update our PHP version to 7.3 and our WP is 5.3.2, so I’m guessing it’s that the plugin hasn’t been updated in so long it uses a much older version of PHP. Any suggestion at all as to how I can modify my file to eliminate this error would be MUCH appreciated, I’m not a coder but very capable of following instructions!

    —Original post:
    I’m SO glad to see this is being taken over! We use this plugin and have been struggling to keep it working with recent WP updates….one feature that is important to us is the ability to map to custom fields we have setup in Infusionsoft, the other plugins I’ve looked at charge a premium for mapping to any non-standard field……also the ability to (at some point) remove old entries from our WP database, we have over 5 years worth of entries for both GravityForms and this Plugin…..our DB is getting very bloated and no easy way to remove old entries. 🙁 Good luck with this, looking forward to your updates!!

    • This reply was modified 1 year, 3 months ago by TrishaM.
Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘I would like to take over maintenance here’ is closed to new replies.